From: Shengjing Zhu <zhsj@debian.org>
Date: Tue, 31 Jan 2023 16:01:38 +0800
Subject: flaky tests

---
 v3/newrelic/trace_observer_test.go | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/v3/newrelic/trace_observer_test.go b/v3/newrelic/trace_observer_test.go
index 2271b9e..560bc4d 100644
--- a/v3/newrelic/trace_observer_test.go
+++ b/v3/newrelic/trace_observer_test.go
@@ -576,7 +576,7 @@ func TestTrObsSlowConnectAndDumpSupportabilityMetrics(t *testing.T) {
 func toIsShutdown(to traceObserver) bool {
 	// This sleep is so long because it is waiting on the deferred 500
 	// millisecond sleep for closing the grpc conn.
-	time.Sleep(550 * time.Millisecond)
+	time.Sleep(time.Second*5)
 	return to.(*gRPCtraceObserver).isShutdownComplete()
 }
 
@@ -892,7 +892,7 @@ func TestTrObsOKReceiveBackoffNo(t *testing.T) {
 	}
 	// If the default backoff of 15 seconds is used, the second span will not
 	// be received in time.
-	if !s.DidSpansArrive(t, 2, time.Second) {
+	if !s.DidSpansArrive(t, 2, time.Second*5) {
 		t.Error("server did not receive 2 spans")
 	}
 }
